#ifndef _IMAGE_TEXTURE_H_
#define _IMAGE_TEXTURE_H_

#include "ofConstants.h"
#include "ofGraphics.h"

class ofTexture {

	public :
		
		ofTexture();
		void allocate(int w, int h, int internalGlDataType);	 
		void clear();
		void loadData(unsigned char * data, int w, int h, int glDataType); 
		void loadScreenData(int x, int y, int w, int h);
		void draw(float x, float y, float w, float h);
		void draw(float x, float y);
		
		float 	tex_t, tex_u;   
		int 	width, height;		// 
		
	private:		
		
		float 	offset_x, offset_y;
		int tex_w, tex_h;
		unsigned int texName[1];	
		bool bFlipTexture;  			// if we copy screen data & 0,0 top left;		
		// vs not happy with dynamic allocation of this...

}; 

#endif
